MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0029286Open CASCADE[OCCT] OCCT:Visualizationpublic2017-11-02 10:272018-06-29 21:19
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeveritytrivial 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.3.0Fixed in Version[OCCT] 7.3.0 
Summary0029286: Visualization, TKOpenGl - do not update FFP state when OpenGl_Caps::ffpEnable is disabled
DescriptionOpenGl_View::render() synchronizes FFP state within each redraw even with OpenGl_Caps::ffpEnable disabled.
This produces extra warnings from debug OpenGL context about usage of deprecated functionality within Compatible Profile:
vglinfo
OpenGL info:
  GLvendor: Intel
  GLdevice: Intel(R) HD Graphics 530
  GLversion: 4.5.0 - Build 22.20.16.4749
  GLSLversion: 4.50 - Build 22.20.16.4749
  GLdebug: ON
  Max texture size: 16384
  Max combined texture units: 192
  Max MSAA samples: 16
  Viewport: 768x768
  ResolutionRatio: 1
TKOpenGl.OpenGL | Type: Deprecated | ID: 14 | Severity: Medium | Message:
  API_ID_DEPRECATED_HINT deprecated behavior warning has been generated. Using of GL_FOG_HINT hint is 
deprecated.
TKOpenGl.OpenGL | Type: Deprecated | ID: 13 | Severity: Medium | Message:
  API_ID_DEPRECATED_TARGET deprecated behavior warning has been generated. Enable of GL_LIGHTING capability 
is deprecated.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships

-  Notes
(0071925)
git (administrator)
2017-11-02 11:06

Branch CR29286 has been created by kgv.

SHA-1: c4d253e01a847e5019141f5e9dde1dca05ba5dee


Detailed log of new commits:

Author: kgv
Date: Thu Nov 2 10:28:01 2017 +0300

    0029286: Visualization, TKOpenGl - do not update FFP state when OpenGl_Caps::ffpEnable is disabled
(0071939)
kgv (developer)
2017-11-02 14:37

Please take the patch.

http://jenkins-test-10.nnov.opencascade.com/view/CR29286-master-KGV [^]
(0071979)
bugmaster (administrator)
2017-11-03 12:46
edited on: 2017-11-07 18:03

Combination -
OCCT branch : CR29286 SHA-1: c4d253e01a847e5019141f5e9dde1dca05ba5dee
Products branch : master
was compiled on Linux, MacOS and Windows platforms and tested on optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Linux:
OCCT
Total CPU difference: 21012.82000000035 / 21003.200000000525 [+0.05%]
Products
Total CPU difference: 7950.590000000109 / 7988.120000000099 [-0.47%]
Windows:
OCCT
Total CPU difference: 18859.522493598342 / 18896.042327698302 [-0.19%]
Products
Total CPU difference: 8022.211024099944 / 8056.422043399954 [-0.42%]

Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

(0072036)
git (administrator)
2017-11-08 10:31

Branch CR29286 has been updated forcibly by kgv.

SHA-1: 5ac5bfdf9aa0124ded08193d4d8731b1685fcf46
(0072153)
git (administrator)
2017-11-10 12:15

Branch CR29286 has been deleted by kgv.

SHA-1: 5ac5bfdf9aa0124ded08193d4d8731b1685fcf46

- Related Changesets
occt: master dd1ae9df
Timestamp: 2017-11-02 07:28:01
Author: kgv
Committer: bugmaster
Details ] Diff ]
0029286: Visualization, TKOpenGl - do not update FFP state when OpenGl_Caps::ffpEnable is disabled
mod - src/OpenGl/OpenGl_PrimitiveArray.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_Text.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_View_Redraw.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_Workspace.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2017-11-02 10:27 kgv New Issue
2017-11-02 10:27 kgv Assigned To => kgv
2017-11-02 10:31 kgv Description Updated View Revisions
2017-11-02 10:49 kgv Description Updated View Revisions
2017-11-02 10:52 kgv Description Updated View Revisions
2017-11-02 11:03 kgv Summary Visualization, OpenGl_View::render() - do not update FFP state when OpenGl_Caps::ffpEnable is disabled => Visualization, TKOpenGl - do not update FFP state when OpenGl_Caps::ffpEnable is disabled
2017-11-02 11:06 git Note Added: 0071925
2017-11-02 11:09 kgv Relationship added related to 0029283
2017-11-02 14:37 kgv Note Added: 0071939
2017-11-02 14:37 kgv Assigned To kgv => bugmaster
2017-11-02 14:37 kgv Severity minor => trivial
2017-11-02 14:37 kgv Status new => resolved
2017-11-02 14:37 kgv Status resolved => reviewed
2017-11-03 12:45 bugmaster Test case number => Not required
2017-11-03 12:46 bugmaster Note Added: 0071979
2017-11-03 12:46 bugmaster Status reviewed => tested
2017-11-07 18:03 bugmaster Note Edited: 0071979 View Revisions
2017-11-08 10:31 git Note Added: 0072036
2017-11-10 10:13 bugmaster Changeset attached => occt master dd1ae9df
2017-11-10 10:13 bugmaster Status tested => verified
2017-11-10 10:13 bugmaster Resolution open => fixed
2017-11-10 12:15 git Note Added: 0072153
2018-02-20 12:58 user533 Target Version 7.4.0* => 7.3.0
2018-06-29 21:15 user533 Fixed in Version => 7.3.0
2018-06-29 21:19 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker